EDIT - task #9359

Update cdmlib, taxeditor, cdmserver etc. dependencies
12/18/2020 11:17 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal

Description

A lot of version updates and updates to how dependencies are handled in TaxEditor has been done already in #9204.
However, further cleanup and update is needed.

mvn versions:display-dependency-updates

mvn dependency:tree (better use "Dependency Hierarchy" view in eclipse)

mvn dependency:tree —-Dscope=compile

mvn org.apache.maven.plugins:maven-dependency-plugin:2.10:tree -Dverbose=true (verbose flag has b
een removed in 3.0 (https://maven.apache.org/plugins/maven—-dependency-plugin/examples/resolving-co
nflicts-using-the-dependency-tree.html)

mvn dependency:analyze

mvn versions:display-plugin-updates (upgrade required maven version from time to time!)

* also try https://github.com/basepom/duplicate-finder-maven-plugin

* for checking newer versions: https://javalibs.com/artifact/xpp3/xpp3 (more info then in maven re
po)

also all other maven projects (CDM Server, cdm-vaadin (#9955, #9837), webapp, utis(2/3x) need dependency updates
TODO:

® spring

¢ lucene (#10067)

e others

e remove cdmlib-persistence from taxeditor dependencies (also removes hibernate dependencies) (#9208, #10009, ...)

¢ upgrade-to-hibernate >5.1 (#10067)

¢ hibernate-validation ( also-meve-to-new-artefactorg-hibernate-validator )

* remove apache-logdj-extras from taxeditor#9205

e update maven-compiler-plugin to 3.x in cdmlib #6407/#9919

e update maven-resources-plugin to 3.2.0 in cdmlib-remote (see comment in pom)

jgitflow (#9946)

¢ Vaadin needs to be migrated: free support for V8 is over (
https://vaadin.com/blog/free-vaadin-8-support-is-over.-what-happens-next)

¢ updated jboss-logging to 3.5.0.Final once we use javaii

¢ check new group-id com.opencsv for OpenCSV

Open issues from older tickets:

#3403: Update remaining libraries:

* Try to remove json-lib (and dependent xom, xmIParserAPIs) dependency and replace by jackson: #4009

xml)
#3344: Migrate to hibernate 4

¢ checkif-exelusion-inparentpom-for-hibernate-search-engine-is-stillreeded => has been removed in the meanwhile

¢ check all applicationContexts.xml (xxx-test.xml) for redundant data
https://dev.e-taxonomy.eu/redmine/issues/9946
https://dev.e-taxonomy.eu/redmine/issues/3408
https://dev.e-taxonomy.eu/redmine/issues/10077
check preliminary hardcoded type in CdmEntityDaoBase.addOrder
o AK: Ich denke das kdnnen wir vorerst mal so lassen, da ohnehin fast alles als String indiziert ist. Mit dem neuen hibernate
search kdnnte da nun anders sein. Das wirde dann eventuell id und date betreffen. Diese Freetext Methoden auf dao
ebene werden bisher ohnehin nicht verwendet insofern besteht eh keine gefahr.
¢ remove-depreecated-ne miDataSetby-DataSetBuilder -> not sure what is meant here, maybe fixed already, | can't find a

e uncomment _c3p0ConnectionTest in src/test/resource/cp30-config.xml and remove this file in test (still exists in main)

e check all errors when running in commandline (e.g. all locks on index updating and others) - index locking problem solved
r17458

check @Ignore necessary for all tests (especially in service layer)

#2031 Update Hibernate to latest stable 4.1.1:

(see #3722) => ticket closed in the meanwhile
#4716 Other dependencies to be updated
e remove and solve ignore from DescriptionServicelmplTest.testMoveDescriptionElementsToTaxon => see comment
#4716#note-6
e AK: fix hibernate search related issues
o 8096b11 : IndexDocValue relates issues solved, indexing now without exceptions, most tests in TaxonServiceSearchTest
successful
o remove Index annotations from abstract classes, hibernate search seems not capable of indexing polymorph classes. This
will remove the @HSEARCHO000044 warings.
¢ AK: use the encrypto Passwordencoder in UserService instead of the deprecated one
¢ move remoting-services.xml and httplnvokerServices.xml to remoting

¢ try to remove exclusions where possible

¢ check if the postcommit handler were set correctly in CdmPostDataChangeObservableListener and
ValidationEventListenerBase

« fix EntityValidationCrudJdbclmplTest and remove ignore
¢ move TableGeneratorGlobalOverride back to cdmlib-test (see r27338)

¢ remove dependsOn=tableGeneratorGlobalOverride from sessionFactory in persistence.xml and security_base.xml in production
mode. It should be used only for test.

e find a solution for dbunitModul to load datasets also from jars and other packages to avoid duplication of standard dataset files
(TODO create ticket with detailed information)
TODO

e aspectj-main anttask in model-pom still uses org.springframework.aspects and not sring-aspects (?) and aspectjtools version
1.7.1 => moved to #4608 if still open

¢ we may concider removing commons-dbcp.commons-dbcp by org.apache.commons.commons-dbcp2 (maybe only used by
unitils-database)

¢ AK: what is with json-lib, w

stillrequired => see #9887

e do we want to move xpp3.xpp3 (1.1.4c) to org.ogce.xpp3 (1.1.6) ?

¢ do we want to move xom.xom (1.2.5) to com.io7m.xom.xom (1.2.10) ? Already upgraded from 1.0 to 1.2.5

* do-we-still-need-hibernate-parent{lastversion-was-3-6-}2 => can't find this anymore, probably removed some time ago

¢ decide which oracle driver to use

o cheelifusertype-jodatime-has-beenreplaced-by-usertype-eere => yes, and changed in pom with b82005b408a86 (#10067)
https://dev.e-taxonomy.eu/redmine/issues/3722
https://dev.e-taxonomy.eu/redmine/issues/4716
https://dev.e-taxonomy.eu/redmine/issues/4716#note-6
ow-1t6 iver-https://commonsrdf.incubator.apache.org/
} => new ticke

=> all changed to

spring-beans-4.3.xsd some time ago

¢ remove-apachesnapshotrepesitory{forjena)and-ethers => removed JBoss and apache incubating repos, maybe still open
"OSGeo Repository" (#10055)

released} => seems to be fixed in the meanwhile

e we may want to further normalize spring config files: #5380
¢ check if TaxonNodeByNameComparator is needed as spring bean as it is currently the case

¢ Try to fix the HHH90000003 warnings (thrown in org.hibernate.boot.model.source.internal.nhbm.ModelBinder line 2416, probably
related to hibernate-envers, can be switched off by log4j.logger.org.hibernate.orm.deprecation=error) (related but not #7289)

¢ fix open issues for cdmlib-db (#6025)

¢ see if we can do more cross-project version management using toolchain plugin (
https://maven.apache.org/plugins/maven-toolchains-plugin/index.html) or enforcer plugin or similar solutions. => see
https://maven.apache.org/pom.html#Quick_Overview inheritance and aggregation section for all required base information on
this. We may create a "cdm_base.pom" for all cdm wide inherited information and maybe another "edit_platform.pom" for all
widely shared information (such as the EDIT platform repository and maybe some maven-plugin versioning). Cdmlib-parent will
then primarily become an aggregation.pom

Related issues:

Related to EDIT - task #4009: consider using jackson as json library New

Related to EDIT - task #3722: Using @OrderColumn does not work in trees Closed 05/23/2022 05/27/2022
Related to EDIT - bug #6025: Remaining open issues for cdmlib-db New

Related to EDIT - bug #6407: Upgrade maven compiler plugin to latest version New

Related to EDIT - task #9837: updadte vaadin to latets 7.* version In Progress

Related to EDIT - task #9887: remove jdk15 classifier from json-lib Rejected

Related to EDIT - task #9886: Create cdmlib modul cdmlib-api In Progress

Related to EDIT - task #9919: Upgrade maven-compiler-plugin to 3.x in cdmlib Duplicate

Related to EDIT - task #9946: Update or remove jgitflow New

Related to EDIT - task #9955: Upgrade vaadin to latest version New

Related to EDIT - task #10009: Cleanup dependencies in TaxEditor Closed 05/10/2022 05/13/2022
Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New

Related to EDIT - task #10067: Update to hibernate 5.4 (or higher) and hibern... Closed 05/23/2022 06/01/2022
Related to EDIT - task #10077: upgrade ehcache to 3.x New

Related to EDIT - bug #10079: Fix timezone problems after upgrading jadira.us... In Progress

Related to EDIT - task #10095: Synchronize dependency versions in CdmServer Closed

Related to EDIT - bug #10141: Exception (CCE) caused by logging setLevel in p... Closed

Copied from EDIT - feature request #9204: Update cdmlib and taxeditor depende... Closed

Copied to EDIT - task #9205: Remove apache-log4j-extras from TaxEditor depend... Closed

Copied to EDIT - feature request #9190: Make taxeditor.local a loadable plugi... In Progress

Copied to EDIT - feature request #9154: Further reduce TaxEditor size by clea... New

Copied to EDIT - feature request #9341: Move local datasource access fully to... New

Copied to EDIT - bug #9351: Include new locations for cdmlib-print and cdmlib... Closed

Copied from EDIT - feature request #4716: Other dependencies to be updated Closed

Copied to EDIT - task #10072: Upgrade fully to log4j2 Closed

Copied to EDIT - task #10125: Upgrade jena dependency New
Associated revisions

Revision 45e5e41d - 02/04/2021 06:38 PM - Andreas Miiller
ref #3403 , ref #4716, ref #3332, ref #9359 update dozer to version 5.5.1

Revision 5db155c8 - 02/04/2021 08:51 PM - Andreas Miiller
ref #9359, ref #5095 upgrade dozer form 5.5.1 to 6.5.0 and use dozer-spring

Revision 9e42bfa8 - 02/04/2021 10:46 PM - Andreas Miiller

ref #9359 try to fix compile error in TaxEditor due to missing objenesis class

Revision 658ad631 - 02/04/2021 11:05 PM - Andreas Miiller

ref #9359 try to fix compile error in TaxEditor due to missing objenesis class (cont.) - move objenesis from printpublisher to cdmlib

Revision af8e4aa7 - 02/04/2021 11:23 PM - Andreas Miiller

ref #9359 remove test scope from objenesis

Revision 88ff4560 - 02/04/2021 11:55 PM - Andreas Miiller

ref #9359 remove objenesis from TaxEditor

Revision 790c4cdf - 02/15/2021 05:12 PM - Andreas Miiller

ref #9359 remove taxeditor.cdmlib...localApplicationContext.xml / taxeditor.local...editorApplicationContext.xml and

taxeditor.store...editorApplicationContext.xml

Revision 0495b764 - 02/15/2021 05:12 PM - Andreas Miiller

ref #9359 remove taxeditor.local...config.properties

Revision c2e26de3 - 02/17/2021 12:36 PM - Andreas Miiller

ref #9359 update spring version in remotingApplicationContext and testRemotingApplicationContext.xml

Revision 38727a28 - 11/27/2021 12:11 AM - Andreas Miiller

ref #9359 remove further libraries from lib folder in taxeditor (remaining only tools and swtchart)

Revision 4a655f94 - 11/27/2021 12:13 AM - Andreas Miiller

ref #9359 remove further libraries from lib folder in taxeditor (remaining only tools and swtchart) (cont.)

Revision 9c42e66¢ - 11/27/2021 12:17 AM - Andreas Miiller

ref #9359 remove further libraries from lib folder in taxeditor (remaining only tools and swtchart) (cont. Il)

Revision 2a5543c4 - 11/27/2021 12:23 AM - Andreas Miiller

ref #9359 remove further libraries from lib folder in taxeditor (remaining only tools and swtchart) (cont. lll)

Revision 685db704 - 11/29/2021 03:51 PM - Andreas Miiller

ref #9359 update commons-io to 2.11.0 in cdmlib

Revision 9¢73e70f - 12/21/2021 05:57 PM - Andreas Miiller

ref #9359 update commons-compress to 1.21

Revision 5bda5597 - 12/21/2021 06:11 PM - Andreas Miiller
ref #9359 httpcomponents to 4.5.13 and spring-security to 4.2.20 in cdmlib

Revision 058c75f7 - 12/21/2021 06:13 PM - Andreas Miiller
ref #9359 httpcomponents to 4.5.13 and spring-security to 4.2.20 in taxeditor

Revision 46ddc021 - 12/21/2021 09:50 PM - Andreas Miuller
ref #9359 update spring to 4.3.30 in cdmlib
Revision c6e48a0a - 12/21/2021 09:56 PM - Andreas Miiller

ref #9359 update spring to 4.3.30 in taxeditor and use mvn properties for spring version

Revision 886a4b2e - 12/21/2021 10:24 PM - Andreas Miiller
ref #9359 update spring security OAuth2 to 2.5.1 in cdmlib

Revision 2425ff4f - 12/21/2021 11:01 PM - Andreas Miiller

ref #9359 updating jackson, dozer, fop and guava to latest version in cdmlib

Revision 6b7f04a6 - 12/21/2021 11:03 PM - Andreas Miiller

ref #9359 updating jackson and fop to latest version in taxeditor

Revision e2a36780 - 12/21/2021 11:07 PM - Andreas Miiller

ref #9359 updating commons-lang3 to latest version in cdmlib

Revision 92605e20 - 12/21/2021 11:08 PM - Andreas Miiller

ref #9359 updating commons-lang3 to latest version in taxeditor

Revision fd27a29d - 12/21/2021 11:22 PM - Andreas Miiller

ref #9359 updating junit and joda-time to latest version in cdmlib

Revision 9884d3db - 12/21/2021 11:23 PM - Andreas Miiller

ref #9359 updating junit and joda-time to latest version in taxeditor

Revision c¢31fcd9c - 12/21/2021 11:50 PM - Andreas Miiller

ref #9359 updating commons-lang3 to latest version in taxeditor (cont.)

Revision 8f7ca08d - 12/21/2021 11:56 PM - Andreas Miiller

ref #9359 updating junit and joda-time to latest version in taxeditor (cont.)

Revision 2b7f1be4 - 12/22/2021 12:01 AM - Andreas Miiller

ref #9359 updating jackson and fop to latest version in taxeditor

Revision 797afa38 - 01/03/2022 02:12 PM - Andreas Miiller

ref #9359 update httpclient, httpclient-cache and httpcore version in taxeditor

Revision f2e2fe71 - 01/03/2022 02:23 PM - Andreas Miiller
ref #9359 fix artifactID for httpcore in taxeditor

Revision 39287958 - 01/03/2022 02:40 PM - Andreas Miiller
ref #9359 update httpcore version in cdmlib

Revision 53aa6¢cb3 - 01/03/2022 02:46 PM - Andreas Miiller

ref #9359 revert httpclient.version to httpcomponents.version in taxeditor

Revision 1fbecc37 - 01/03/2022 02:47 PM - Andreas Miiller

ref #9359 fix junit version in taxeditor.test build.properties

Revision 3837479 - 01/03/2022 02:52 PM - Andreas Miiller

ref #9359 update doxia, objenesis, iiif-apis, xom, Saxon-HE and javassist version in cdmlib

Revision bfa2a878 - 01/03/2022 03:01 PM - Andreas Miiller

ref #9359 update iiif-apis and javassist version in taxeditor

Revision c6e3c294 - 01/03/2022 03:04 PM - Andreas Miiller

ref #9359 update ant version in cdmlib
Revision 0489e98a - 01/03/2022 04:48 PM - Andreas Miiller

ref #9359 update iiif-apis and javassist version in taxeditor (cont.)

Revision 13a023fd - 01/12/2022 08:34 PM - Andreas Miiller

ref #9359 update xmigraphics-commons (only needed in cdmlib-print)

Revision bde4e213 - 01/12/2022 08:36 PM - Andreas Miiller
ref #9359 update mysql and postgresql in taxEditor

Revision 942ddf0b - 01/12/2022 08:40 PM - Andreas Miiller
ref #9359 update mysq|, postgresgl and mssql in cdmlib

Revision fb0a7a66 - 01/12/2022 08:42 PM - Andreas Miiller
ref #9359 update xerceslmpl in cdmlib

Revision 2ebe2266 - 01/12/2022 08:43 PM - Andreas Miiller

ref #9359 update xerceslmpl in taxeditor

Revision 3bdc6b29 - 01/12/2022 08:52 PM - Andreas Miiller
ref #9359 update hsqldb in cdmlib

Revision b3321396 - 01/12/2022 08:55 PM - Andreas Miiller
ref #9359 update plexus-utils in cdmlib

Revision 80a26358 - 01/12/2022 09:00 PM - Andreas Miiller
ref #9359 update aspectj in cdmlib

Revision 23f8a87b - 01/12/2022 09:06 PM - Andreas Miiller
ref #9359 update aspectj in taxeditor

Revision 9b8c99b3 - 01/12/2022 09:33 PM - Andreas Miiller
ref #9359 update mysql and postgresql in taxEditor (cont.)

Revision 28e80be0 - 01/12/2022 09:41 PM - Andreas Miiller

ref #9359 update plexus-utils in cdmlib (fix compile error)

Revision 94b2bce7 - 01/12/2022 10:11 PM - Andreas Miuller

ref #9359 update xerceslmpl in taxeditor (cont.)

Revision 92b76e20 - 01/12/2022 11:49 PM - Andreas Miiller
ref #9359 revert update hsqgldb in cdmlib

Revision d9d7beec - 01/12/2022 11:51 PM - Andreas Miiller
ref #9359 revert update hsgldb in cdmlib (cont.)

Revision 1e34764b - 01/15/2022 12:03 AM - Andreas Miiller

ref #9359 update minor version dependency updates to cdmserver

Revision 40d41a37 - 01/15/2022 12:11 AM - Andreas Miller

ref #9359 update org.apache.maven.wagon plexus to 1.0 in cdmserver

Revision 99771630 - 01/15/2022 12:18 AM - Andreas Miiller

ref #9359 update org.apache.maven.wagon wagon webdav to wagon-webdav-jackrabbit 1.0 in cdmserver

Revision dadcba84 - 01/15/2022 12:21 AM - Andreas Miiller

ref #9359 update maven-scm-manager-plexus and maven-scm-provider-svnexe to 1.12.2 in cdmserver
Revision 1d39e715 - 01/15/2022 12:24 AM - Andreas Miiller

ref #9359 update org.apache.maven.wagon dependencies to latest 3.5.1 in cdmserver

Revision 4d9687ed - 01/15/2022 12:26 AM - Andreas Miiller

ref #9359 update commons-cli to latest 1.5.0 in cdmserver

Revision 67d379ce - 01/15/2022 12:32 AM - Andreas Miiller

ref #9359 update org.apache.maven.wagon extensions to latest 3.5.1 in cdmlib

Revision 05950191 - 01/15/2022 12:37 AM - Andreas Miiller

ref #9359 update wagon-maven-plugin to latest 2.0.2 in cdmserver

Revision 847bd4ed - 01/15/2022 12:40 AM - Andreas Miiller
ref #9359 update wagon-maven-plugin to latest 2.0.2 in cdmlib

Revision 6fdd09aa - 01/15/2022 01:48 AM - Andreas Miiller

ref #9359 update org.apache.maven.wagon extensions to latest 3.5.1 in vaadin

Revision 185f78aa - 01/15/2022 01:52 AM - Andreas Miiller

ref #9359 update org.apache.maven.scm extension to latest 1.12.2 in vaadin

Revision f85¢3ff7 - 01/15/2022 01:53 AM - Andreas Miiller

ref #9359 update org.apache.maven.scm extension to latest 1.12.2 in cdmlib

Revision 41380b9d - 01/15/2022 02:48 AM - Andreas Miiller

ref #9359 update maven-scm-plugin and wagon-ssh-external to latest versions in cdmserver

Revision 39c¢fd7b0 - 01/15/2022 02:58 AM - Andreas Miiller

ref #9359 maven-eclipse-plugin, maven-site-plugin and jsch to latest versions in cdmserver

Revision 30654221 - 01/15/2022 03:04 AM - Andreas Miiller

ref #9359 update maven-compiler-plugin to latest versions in cdmserver

Revision 5¢302092 - 01/15/2022 03:05 AM - Andreas Miiller

ref #9359 update maven-resources-plugin from 2.7 to 3.1 in cdmserver

Revision 8a6a0773 - 01/15/2022 03:30 AM - Andreas Miiller

ref #9359 update maven-source-plugin and maven-javadoc-plugin to latest versions in cdmserver

Revision f4f3eda9 - 01/15/2022 11:23 AM - Andreas Miiller

ref #9359 update maven-dependency-plugin to latest versions in cdmserver

Revision d47d9078 - 01/15/2022 11:39 AM - Andreas Miiller

ref #9359 update el-api and el-impl to latest version with new groupID in cdmserver

Revision 33ddfdc4 - 01/15/2022 11:44 AM - Andreas Miiller
ref #9359 update maven-jar-plugin to 3.2.2 in cdmlib

Revision accbb694 - 01/15/2022 11:46 AM - Andreas Miiller
ref #9359 update jopt-simple from 4.9 to 5.0.4 in cdmserver

Revision 615b95a0 - 01/15/2022 11:53 AM - Andreas Miller

ref #9359 update maven-war-plugin and maven-assembly-plugin to latest versions in cdmserver

Revision 79808110 - 01/15/2022 12:03 PM - Andreas Miiller

ref #9359 use assembly:single instead of deprecated assembly:attached for maven-assembly-plugin to latest versions in cdmserver
Revision b32¢5165 - 01/15/2022 12:08 PM - Andreas Miiller

ref #9359 update maven-antrun-plugin from 1.8 to latest 3.0.0 in cdmserver

Revision ac192659 - 01/15/2022 12:20 PM - Andreas Miiller
ref #9359 update maven-bundle-plugin to latest 5.1.4 in cdmlib

Revision bd556465 - 01/15/2022 12:23 PM - Andreas Miiller

ref #9359 update maven-failsafe-plugin to latest 2.22.2 in cdmlib-remote-webapp

Revision 6f40e136 - 01/15/2022 12:30 PM - Andreas Miiller

ref #9359 use target instead of tasks in maven-antrun-plugin in cdmserver

Revision 4aaaa272 - 01/15/2022 12:33 PM - Andreas Miiller

ref #9359 update buildnumber-maven-plugin from 1.3 to latest 1.4 in cdmserver

Revision 2aeade95 - 01/15/2022 12:41 PM - Andreas Miiller

ref #9359 update exec-maven-plugin from 1.3.2 to latest 3.0.0 in cdmserver

Revision 548eba96 - 01/15/2022 12:53 PM - Andreas Miiller

ref #9359 update docker-maven-plugin from 0.28.0 to latest 0.38.1 in cdmserver

Revision 0238edad - 01/15/2022 01:02 PM - Andreas Miiller

ref #9359 update jgitflow-maven-plugin from 1.0-m6 to latest 1.0-m8 with new groupld in cdmserver

Revision 08e7d20d - 01/15/2022 01:09 PM - Andreas Miiller

ref #9359 update dependency jackson-mapper-asl to new jackson-databind with new groupld and artifactld in cdmserver

Revision 80c7227¢ - 01/15/2022 01:12 PM - Andreas Miiller

ref #9359 update jgitflow-maven-plugin from 1.0-m6 to latest 1.0-m8 with new groupld in cdmvaadin

Revision 2051214 - 01/15/2022 01:27 PM - Andreas Miiller

ref #9359 update maven-compiler-plugin and buildnumber-maven-plugin to latest versions in cdmlib

Revision 62ba8972 - 01/15/2022 01:51 PM - Andreas Miiller

ref #9359 revert update maven-compiler-plugin in cdmlib

Revision ¢14119d8 - 01/15/2022 02:07 PM - Andreas Miiller

ref #9359 update maven-compiler-plugin to latest 2.x (2.5.1) versions in cdmlib

Revision bd4ca900 - 01/15/2022 02:36 PM - Andreas Miuller

ref #9359 update jgitflow-maven-plugin from 1.0-m6 to latest 1.0-m8 with new groupld in cdm-webapp

Revision €329e043 - 01/15/2022 02:38 PM - Andreas Miiller

ref #9359 update com.jcraft/jsch to latest version in cdm-webapp

Revision 94703412 - 01/15/2022 02:39 PM - Andreas Miiller

ref #9359 update org.apache.maven.wagon extensions to latest version in cdm-webapp

Revision 040b99a4 - 01/15/2022 02:40 PM - Andreas Miiller

ref #9359 update maven-war-plugin to latest version in cdm-webapp

Revision 5401db11 - 01/15/2022 02:42 PM - Andreas Miller

ref #9359 update maven-enforcer-plugin to latest version in cdm-webapp

Revision f8ef902e - 01/15/2022 02:49 PM - Andreas Miiller

ref #9359 update maven-compiler-plugin to first 3.x (3.0) version in cdmlib
Revision 40d49ed2 - 01/15/2022 03:05 PM - Andreas Miiller

ref #9359 revert update maven-compiler-plugin to first 3.x (3.0) version in cdmlib

Revision 6c6def93 - 01/15/2022 03:12 PM - Andreas Miiller
ref #9359 update maven-site-plugin from 3.3 to 3.10.0 in cdmlib

Revision d4259d21 - 01/15/2022 03:14 PM - Andreas Miiller

ref #9359 update jgitflow-maven-plugin from 1.0-m6 to latest 1.0-m8 with new groupld in cdmlib

Revision f7ed5d99 - 01/15/2022 04:37 PM - Andreas Miiller

ref #9359 update maven-enforcer-plugin and subsequently add some further version controls in cdmlib

Revision 53b17¢87 - 01/15/2022 04:41 PM - Andreas Miiller

ref #9359 update maven-eclipse-pluginin, com.jcraft/jsch and org.osgi/osgi.core in cdmlib

Revision e74d0e3d - 01/15/2022 04:49 PM - Andreas Miiller

ref #9359 update cobertura-maven-plugin and checker-qual to latest version in cdmlib

Revision d3fcf5a7 - 01/15/2022 05:24 PM - Andreas Miiller

ref #9359 update javadoc related plugin versions in cdmlib

Revision bc1bca8c - 01/15/2022 06:12 PM - Andreas Miiller

ref #9359 update javadoc related plugin versions in cdmlib (cont.)

Revision f18e872e - 01/15/2022 06:14 PM - Andreas Miiller

ref #9359 update maven-release-plugin from 2.1. to latest fully stable version (2.5.3) in cdmlib

Revision a6ed879c - 01/15/2022 06:37 PM - Andreas Miiller

ref #9359 update maven-resources-plugin to 3.2.0 in cdmlib

Revision a2562f17 - 01/15/2022 06:41 PM - Andreas Miiller

ref #9359 update maven-resources-plugin to 3.2.0 in vaadin

Revision 97736bd2 - 01/15/2022 06:44 PM - Andreas Miuller

ref #9359 update maven-resources-plugin to 3.1.0 in cdmlib

Revision dfd55617 - 01/15/2022 06:54 PM - Andreas Miiller

ref #9359 update maven-resources-plugin to 3.2.0 in cdmlib-remote-webapp

Revision 5dc830be - 01/15/2022 07:14 PM - Andreas Miuller

ref #9359 use commons-collections4 in cdmserver

Revision d77a3e04 - 01/15/2022 07:28 PM - Andreas Miiller
ref #9359 update org.json/json to 20211205 in cdmlib

Revision 838ff8f2 - 01/15/2022 07:30 PM - Andreas Miiller
ref #9359 update org.json/json to 20211205 in vaadin

Revision e053f41a - 01/15/2022 07:40 PM - Andreas Miiller
ref #9359 update org.json/json to 20211205 in taxeditor

Revision eb2ea584 - 01/15/2022 07:54 PM - Andreas Miiller

increase required maven version to 3.6.3

Revision 12329d73 - 01/15/2022 08:19 PM - Andreas Miiller

ref #9359 increase required maven version to 3.6.3 ub TaxEditor
Revision e03f8163 - 01/16/2022 12:57 AM - Andreas Miiller

ref #9359 update mav en-compiler-plugin, maven-site-plugin, maven-javadoc-plugin, maven-eclipse-plugin, maven-release-plugin, maven-jxr-plugin
and maven-changes-plugin to latest stable versions in taxeditor

Revision f81993f9 - 01/16/2022 01:04 AM - Andreas Mdller

ref #9359 fix version number of maven-eclipse-plugin in taxeditor

Revision 185862 - 01/16/2022 01:13 AM - Andreas Mdller

ref #9359 update maven-dependency-plugin to latest version in taxeditor

Revision aea616d9 - 01/16/2022 01:30 AM - Andreas Miiller

ref #9359 update wagon-maven-plugin to latest version in taxeditor

Revision 6ed27ea5 - 01/16/2022 02:08 AM - Andreas Muller

ref #9359 update maven-antrun-plugin to latest version in taxeditor

Revision 4b75ac9e - 01/16/2022 02:20 AM - Andreas Miiller

ref #9359 update maven-surefire-plugin to latest version in taxeditor

Revision 57754105 - 01/16/2022 02:33 AM - Andreas Miiller

ref #9359 update jgitflow-maven-plugin to latest version in taxeditor

Revision 83baa272 - 01/16/2022 02:49 AM - Andreas Miiller

ref #9359 update extensions and jsch to latest version in taxeditor

Revision 3b57dae0 - 01/16/2022 04:15 PM - Andreas Miiller

ref #9359 update tycho version from 1.0.0 to latest java8 version 1.7.0

Revision e4b5ef2a - 01/17/2022 12:49 PM - Andreas Miiller

ref #9359 update several plugin and dependency versions in utis-core

Revision 4c26a53f - 01/18/2022 12:18 AM - Andreas Miiller

ref #9359 update compiler plugin to latest version in app-import

Revision 283f092a - 01/18/2022 12:28 AM - Andreas Miiller

ref #9359 update some plugin and dependency to latest versions in utis-webapp

Revision 8dad7d52 - 01/18/2022 12:33 AM - Andreas Miiller

ref #9359 update some plugin and dependency to latest versions in utis-core

Revision 9dbd26{3 - 01/19/2022 12:10 PM - Andreas Miiller

ref #9359 use commons-collections4 in cdmserver again

Revision a512aa77 - 01/19/2022 12:51 PM - Andreas Miiller

ref #9359 update minor version dependency updates to cdmserver again

Revision 597b1a76 - 01/19/2022 01:17 PM - Andreas Miiller

ref #9359 update extensions in cdmserver pom again

Revision a76e3952 - 01/19/2022 01:57 PM - Andreas Miiller

ref #9359 update eclipse, compiler and site plugin in cdmserver pom again

Revision ef2418fb - 01/19/2022 02:33 PM - Andreas Miiller

ref #9359 update resource plugin in cdmserver pom to 3.1.0 again

Revision b1f0b762 - 01/19/2022 02:38 PM - Andreas Miiller

ref #9359 update javadoc, dependency and source plugin in cdmserver pom to latest version again
Revision eaf2d2c8 - 01/19/2022 02:46 PM - Andreas Miiller

ref #9359 update el-api and el-impl and jopt-simple, dependency to latest version in cdmserver again

Revision 6bd9a31d - 01/19/2022 03:53 PM - Andreas Miiller
ref #9359 fix el-api artifact|D

Revision b60d9eb3 - 01/19/2022 04:55 PM - Andreas Miiller

ref #9359 update war and assembly plugin to latest version in cdmserver again

Revision b436¢052 - 01/19/2022 09:55 PM - Andreas Miiller

ref #9359 update ant plugin and buildnumber plugin to latest version in cdmserver again

Revision 3217ee91 - 01/19/2022 10:24 PM - Andreas Miiller

ref #9359 update exec, docker and gitflow plugin to latest version in cdmserver again

Revision 826276ee - 01/19/2022 10:32 PM - Andreas Miiller

ref #9359 update jackson to latest version with new groupld in cdmserver again

Revision f9f87ca4 - 01/19/2022 11:01 PM - Andreas Miiller
ref #9359 revert jackson-databind to 2.0.0

Revision 05bcc5a2 - 01/19/2022 11:28 PM - Andreas Miiller

ref #9359 revert to jackson-mapper-asl and upgrade resources plugin

Revision b145e48a - 01/19/2022 11:54 PM - Andreas Miiller

ref #9359 mvn version prerequisites in cdmserver

Revision 4b58dc2b - 01/20/2022 12:04 AM - Andreas Miiller

ref #9359 mvn version prerequisites in cdmserver

Revision babcedce - 01/20/2022 11:35 AM - Andreas Miiller

ref #9359 update jsch, maven-enforcer to latest version, add groupld to eclipse plugin

Revision de5e6f98 - 01/26/2022 02:55 PM - Andreas Miiller

ref #9359 update war-plugin to latest version in cdmserver

Revision 1aa455a2 - 01/26/2022 02:55 PM - Andreas Miiller

ref #9359 update javadoc, failsafe, surefire and clean-plugin to latest version in vaadin

Revision 2f137¢96 - 01/26/2022 02:55 PM - Andreas Miiller

ref #9359 update compiler-plugin to latest version in vaadin

Revision 0f9fd6a0 - 01/26/2022 02:55 PM - Andreas Miiller

ref #9359 updatedriver-binary-downloader-maven-plugin to latest version in vaadin

Revision beae7c3a - 01/26/2022 03:12 PM - Andreas Miiller

ref #9359 update mariadb-java-client to latest version in cdmlib

Revision 17¢4b9d2 - 01/26/2022 07:58 PM - Andreas Miller

ref #9359 update maven-war-plugin to latest version in cdmlib-remote-webapp

Revision 09c468ea - 02/15/2022 11:46 AM - Andreas Miiller
ref #9359 revert jgitflow to m6 in vaadin

Revision 41aeaafc - 02/15/2022 11:55 AM - Andreas Miiller

ref #9359 revert jgitflow to m6 in cdmserver
Revision 40fc8ef7 - 05/25/2022 03:05 PM - Andreas Miiller
ref #9359 update postgresql version to 42.3.6 in cdmlib

Revision 77f0d8ee - 05/31/2022 02:46 AM - Andreas Miiller
ref #9359, #10067 remove most index boosts

Revision 6155fd74 - 05/31/2022 02:47 AM - Andreas Miiller
ref #9359, #10067 remove SortFieldOptions

Revision a95fbfcc - 05/31/2022 02:52 AM - Andreas Miiller
ref #9359, #10067 prepare Lucene6+ double queries

Revision f5a9¢13f - 05/31/2022 02:54 AM - Andreas Miiller
ref #9359, #10067 add lucene-sandbox

Revision f9e2340e - 05/31/2022 10:13 AM - Andreas Miiller
ref #9359, #10067 upgrade pom to hibernate 5.4.33,hibernate-validator 6.2.3 and hibernate-search 5.11.10

Revision b220af7c - 05/31/2022 10:16 AM - Andreas Miiller

ref #9359 remove JBoss and apache incubating repository

Revision 92¢c60bc1 - 05/31/2022 11:31 AM - Andreas Miiller

ref #9359 update jackson and guava to latest version in cdmlib

Revision ce43a73f - 05/31/2022 11:36 AM - Andreas Miiller
ref #9359 update itextpdf to latest version in cdmlib

Revision 9fd2eb7e - 05/31/2022 11:56 AM - Andreas Miiller

ref #9359 update joda-time, mariadb-java-client and mysql-connector-java to latest version in cdmlib

Revision 502edc8a - 05/31/2022 01:51 PM - Andreas Miiller
ref #9359 update postgresql version to 42.3.6 in taxeditor

Revision 9485921 - 05/31/2022 01:51 PM - Andreas Miiller

ref #9359 update taxeditor to latest jackson version

Revision 9e7380cc - 05/31/2022 01:51 PM - Andreas Miiller
ref #9359 update postgresql version to 42.3.6 in taxeditor (cont.)

Revision a10b0ade - 05/31/2022 01:51 PM - Andreas Miiller

ref #9359 update itextpdf to latest version in taxeditor

Revision cea8edf6 - 05/31/2022 01:51 PM - Andreas Miiller

ref #9359 update joda-time and mysql-connector-java to latest version in taxeditor

Revision 533864b4 - 05/31/2022 01:51 PM - Andreas Miiller
ref #9359 cleanup gitignore

Revision 88dee2f2 - 05/31/2022 03:17 PM - Andreas Miiller

ref #9359 downgrade xmipull:xmipull to 1.1.3.1 as 1.2.0 is only available in the JBoss repo which is currently switched off

Revision c46¢3b29 - 05/31/2022 03:28 PM - Andreas Miiller

ref #9359 upgrade xtream version 1.4.14->1.4.19 and remove xmlpull

Revision b86b1f35 - 05/31/2022 09:25 PM - Andreas Miiller

ref #9359 upgrade net.sf.ehcache/ehcache and org.json/json to latest version in cdmlib
Revision d7670e34 - 05/31/2022 09:25 PM - Andreas Miiller
ref #9359 javadoc

Revision 28218fda - 05/31/2022 10:21 PM - Andreas Miiller

ref #9359 upgrade jboss-logging to latest version and remove jboss-logging-annotations in cdmlib

Revision 9805efb5 - 05/31/2022 10:35 PM - Andreas Miiller

ref #9359 revert removing jboss-logging-annotations in cdmlib

Revision 57863fba - 05/31/2022 10:40 PM - Andreas Miiller

ref #9359 add dependency management for jboss-logging-processor in cdmlib

Revision 99c1e469 - 05/31/2022 10:53 PM - Andreas Miiller

ref #9359 downgrade jboss-logging version to 3.4.3 as 3.5.0 requires javal1 in cdmlib

Revision cbadc5e7 - 05/31/2022 10:55 PM - Andreas Miuiller
ref #9359 javadoc

Revision 84a352cb - 06/01/2022 10:10 AM - Andreas Miiller

ref #9359 upgrade slf4j-xxx, commons-imaging, xerceslmpl, hibernate-commons-annotations, javassist and jakarta.validation-api to latest version in
cdmlib

Revision af8867dd - 06/01/2022 10:20 AM - Andreas Miiller

ref #9359 upgrade xmigraphics-fop and -commons to latest version in cdmlib

Revision 2629¢c0c7 - 06/01/2022 10:25 AM - Andreas Miiller

ref #9359 manage version of jcl-over-slf4j in cdmlib

Revision 0f6841be - 06/01/2022 10:29 AM - Andreas Miiller

ref #10067, #9359, #10009 adapt dependencies in taxeditor to latest versions in cdmlib and remove all dependencies not needed directly or for export

e this version will not work yet

Revision 88d6cebc - 06/01/2022 10:39 AM - Andreas Miiller
ref #10067, #9359, #10009 remove not used entries in bin.includes and fix copying of jadira usertypes

Revision adc61987 - 06/01/2022 10:53 AM - Andreas Miiller
ref #10067, #9359, #10009 adapt taxeditor to new jakarta validation package

Revision 6dbe2e69 - 06/01/2022 12:27 PM - Andreas Miiller
ref #10067, #9359, #10009 ignore CdmEntitySessionAwareTest.readPolytomousKeyDataFromNodes preliminary to allow full build

Revision 7f99924f - 06/01/2022 12:54 PM - Andreas Miiller

ref #9359 removed duplicated manage version of jcl-over-slf4j in cdmlib

Revision cc5425b9 - 06/03/2022 03:45 PM - Andreas Miiller
ref #9359 revert ehcache

Revision bfb84c1f - 06/03/2022 05:50 PM - Andreas Miiller

ref #9359 revert ehcache in taxeditor

Revision 7500a7a4 - 06/07/2022 09:49 AM - Andreas Miiller
ref #9359 update surefire plugin to 3.0.0-M7 in cdmlib

Revision f05af282 - 06/07/2022 09:50 AM - Andreas Miiller
ref #9359 update surefire plugin to 3.0.0-M7 in vaadin
Revision e629eadb - 06/07/2022 09:52 AM - Andreas Miiller
ref #9359 update surefire plugin to 3.0.0-M7 in cdm-server

Revision f98660c3 - 06/07/2022 10:18 AM - Andreas Miiller
ref #9359 update surefire plugin to 3.0.0-M7 in taxeditor

Revision 6103abfd - 06/07/2022 05:42 PM - Andreas Miiller
ref #9359 update surefire plugin to 3.0.0-M7 in taxeditor (cont.)

Revision 23de68fc - 06/09/2022 10:15 AM - Andreas Miiller
ref #9359 upgrade cdmlib to log4j 2

Revision c7d418c8 - 06/09/2022 10:23 AM - Andreas Miiller

ref #9359 upgrade docx4j to v8 and manage versions for plexus-classworlds and plexus-component-annotations

Revision 12¢174d5 - 06/09/2022 01:12 PM - Andreas Miiller
ref #9359, ref #10072 some adaptations for log4j2

Revision 94645f2d - 06/09/2022 01:21 PM - Andreas Miiller
ref #9359 replace slf4j-log4j12 by slf4j-reload4|

Revision 8694614 - 06/09/2022 01:22 PM - Andreas Miiller
ref #9359 upgrade Saxon-HE to latest version

Revision a820701f - 06/09/2022 01:23 PM - Andreas Miiller

ref #9359 upgrade plexus-utils to latest version

Revision eadd0f35 - 06/09/2022 01:25 PM - Andreas Miiller

ref #9359 upgrade docx4j to latest version

Revision 1feff2df - 06/09/2022 01:30 PM - Andreas Miiller

ref #9359 upgrade spring-security-oauth2 to latest version

Revision 15daf02c - 06/09/2022 01:37 PM - Andreas Miiller
ref #9359 update slf4j logging in TaxEditor

Revision 47f89b8f - 06/09/2022 01:48 PM - Andreas Muiller
ref #9359 adapt log4j handling in TaxEditor

Revision b6f5d1a6 - 06/09/2022 01:51 PM - Andreas Miiller

ref #9359 add dependency management for error_prone_annotations

Revision f97eecfd - 06/09/2022 01:56 PM - Andreas Muiller
ref #9359 adapt log4j handling in TaxEditor (cont.)

Revision ec602490 - 06/09/2022 02:45 PM - Andreas Miiller
ref #9359 adapt log4j handling in TaxEditor (cont.)

Revision 12741083 - 06/09/2022 03:27 PM - Andreas Miiller
ref #9359 upgrade TaxEditor to log4j2

Revision 50935afd - 06/09/2022 03:34 PM - Andreas Miiller
ref #9359 upgrade TaxEditor to log4j2 (adapt workbench to new package)

Revision e0ef5fb8 - 06/09/2022 06:09 PM - Andreas Miiller
ref #9359 upgrade TaxEditor to log4j2 (cont)
Revision db825808 - 06/09/2022 06:16 PM - Andreas Miiller
ref #9359 upgrade TaxEditor to log4j2 (add exported packages)

Revision d83fc07f - 06/09/2022 06:27 PM - Andreas Miiller
ref #9359 upgrade TaxEditor to log4j2 (adapt workbench to new package)(cont)

Revision 9a6b2310 - 06/09/2022 07:12 PM - Andreas Miiller
ref #9359 import log4j2 in some TaxEditor projects

Revision 2bba4a19 - 06/09/2022 07:15 PM - Andreas Miiller
ref #9359 import log4j2 in some TaxEditor projects (fix)

Revision ba10d0e9 - 06/09/2022 07:25 PM - Andreas Miiller

ref #9359 fix Logger handling in some classes for which replace did not work

Revision 661705c1 - 06/09/2022 07:32 PM - Andreas Miiller

ref #9359 fix Logger handling in some classes for which replace did not work (cont.)

Revision 222315aa - 06/09/2022 09:39 PM - Andreas Miiller
ref #9359 adapt taxeditor.local to log4j 2

Revision 84808e22 - 06/09/2022 10:16 PM - Andreas Miiller

ref #9359 add exclusions to javax.mail and jena-tdl

Revision 6e0c944e - 06/10/2022 11:43 AM - Andreas Miiller
ref #9359 temporarily neglect LoggingConfigurer

Revision 475d237f - 06/10/2022 12:16 PM - Andreas Miiller
ref #9359 fully remove hsgldb to be supported by cdmlib, we only use h2 now

Revision 6545b1d5 - 06/10/2022 12:22 PM - Andreas Miiller
ref #9359 fully remove hsgldb to be supported by cdmlib, we only use h2 now

Revision b1d8767d - 06/10/2022 12:26 PM - Andreas Miiller
ref #9359 fully remove hsqldb to be supported by cdmlib, we only use h2 now (cont)

Revision c5af637e - 06/10/2022 03:06 PM - Andreas Miiller
ref #9359 fully remove hsqldb to be supported by cdmlib, we only use h2 now (cont 2)

Revision d0b78a25 - 06/13/2022 02:03 PM - Andreas Miuller

ref #9359 upgrade java dependencies in dataportal (except for selenium)

Revision 926a7e65 - 06/13/2022 11:06 PM - Andreas Miiller
ref #9359 add taxeditor.local log4j2 to gitignore

Revision 328d91f0 - 06/14/2022 12:03 AM - Andreas Miiller
ref #9359 remove log4j12 exports from taxeditor.cdmlio MANIFEST.MF

Revision df1cedb8 - 06/14/2022 03:58 PM - Andreas Miiller

ref #9359 add commons-collections4 to taxeditor dependencies

Revision 3b1474a6 - 06/14/2022 04:21 PM - Andreas Miiller
ref #9359 add javax.annotation to import packages in MANIFEST.MFs

Revision bedb5de8 - 06/14/2022 10:52 PM - Andreas Miiller

ref #9359 remove old Spring Source repositories from taxeditor cdmlib and local
Revision 00ee5645 - 06/15/2022 12:05 PM - Andreas Miiller

ref #9359 upgrade maven-antrun-plugin to 3.1.0 in taxeditor

Revision 25ef1ef8 - 06/20/2022 02:40 PM - Andreas Miiller
ref #9359 udpate enforcer plugin to 3.1.0. for cdmlib

Revision bcaa3499 - 06/20/2022 02:40 PM - Andreas Miiller
ref #9359 udpate enforcer plugin to 3.1.0. for vaadin

Revision 64e30c90 - 06/20/2022 02:42 PM - Andreas Miiller
ref #9359 udpate enforcer plugin to 3.1.0. for cdm-webapp

Revision f47729f9 - 06/20/2022 02:43 PM - Andreas Miiller
ref #9359 udpate enforcer plugin to 3.1.0. and log4j to 2.17.2 for utis-core

Revision 2234658 - 07/04/2022 03:27 PM - Andreas Miiller
ref #9359 update log4j to 2.18.0 in dataportal

Revision 7af8b889 - 07/04/2022 03:29 PM - Andreas Miiller
ref #9359 update log4j to 2.18.0 in utis-webapp

Revision 8c64898f - 07/04/2022 03:30 PM - Andreas Miiller
ref #9359 update log4j to 2.18.0 in cdmlib

Revision 4c68380d - 07/04/2022 03:43 PM - Andreas Miiller

ref #9359 remove hsqgldb StringComparator from ErmsTaxonlmport

Revision 0474ab0b - 07/16/2022 08:34 PM - Andreas Miiller
ref #9359, ref #10072 adapt eflora to log4j2 logger and logmanager and some cleanup

Revision 2e47e11d - 07/20/2022 02:06 PM - Andreas Miiller
ref #9359 add version number for commons-pool to avoid multiple versions in cdmserver comming from remote-webapp and vaadin (though unclear

why vaadin retrieves a higher version)

Revision 3d585f9d - 07/20/2022 04:00 PM - Andreas Miiller

ref #10095, ref #9359 remove javax.activation-api, jaxb-api and xalan from classpath (replaced by jakarta versions)

Revision 840b4522 - 07/20/2022 04:01 PM - Andreas Miiller

ref #10095, ref #9359 upgrade and synchronize fasterxml versions

Revision c06457d0 - 07/20/2022 05:35 PM - Andreas Miiller

ref #10095, ref #9359 adapt json version in vaadin to cdmlib json version

Revision b5f21afa - 07/20/2022 06:42 PM - Andreas Miiller
ref #10072, ref #9359, ref #10095 replace commons-logging by jcl-over-slf4j and adapt some loggers to log4j

Revision d1e4062e - 07/20/2022 06:50 PM - Andreas Miiller

ref #10072, ref #9359, ref #10095 replace commons-logging by jcl-over-slf4j (cont., move jcl-over-slf4j to cdmlib-commons)

Revision 9120a89a - 07/20/2022 06:59 PM - Andreas Miller

ref #10072, ref #9359, ref #10095 remove commons-logging from unitils-core and commons-beanutils

Revision 29192aec - 07/20/2022 07:24 PM - Andreas Miiller
ref #10072, ref #9359, ref #10095 remove commons-logging from xmigraphics.fop

Revision 1f913edc - 07/20/2022 07:30 PM - Andreas Miiller

ref #9359 try to remove springmodules from vaadin
Revision b8c89622 - 07/21/2022 09:50 AM - Andreas Miiller
ref #9359, ref #10072, ref #10095 use log4j2 in cdmserver

Revision 8c7f1b66 - 07/21/2022 09:54 AM - Andreas Miiller
ref #9359 upgrade to 3.0.6 for mariadb-java-client in cdmlib

Revision a12dab80 - 07/21/2022 11:35 AM - Andreas Miiller

ref #9359, ref #10072, ref #10095 revert logging to logback classic for now and adapt correct handling for log4j in cdmserver

Revision feca66ca - 07/21/2022 12:44 PM - Andreas Miiller
ref #9359, ref #10072 add log4j2 to LoggingConfigurator in cdmserver

Revision 4309262f - 07/21/2022 12:55 PM - Andreas Miiller

ref #9359 replace javax.el-api by jakarata.el-api

Revision 78b0be7f - 07/21/2022 02:04 PM - Andreas Miiller

ref #9359, ref #10095 try to remove jakarta.el-api as apache-el is already on classpath in cdmserver

Revision 8f45b947 - 07/21/2022 02:10 PM - Andreas Miiller
ref #10072, ref #9359 fully remove LoggingConfigurer as it is not adaptable to log4j2 and not used anymore

Revision 1400461e - 07/21/2022 02:40 PM - Andreas Miiller
ref #10072, ref #9359 fully remove LoggingConfigurer as it is not adaptable to log4j2 and not used anymore (cont.)

Revision 116b3cae - 07/21/2022 02:41 PM - Andreas Miiller

ref #9359 javax.el-api from dependency management as it is not used anymore

Revision c36bdb95 - 07/21/2022 02:48 PM - Andreas Miiller
ref #10072, ref #9359, ref 10095 remove slf4j-nop from cdmlib

Revision b0a7a43f - 07/21/2022 03:56 PM - Andreas Miiller

ref #9359 re-add javax.el-api as it is still needed hibernate-validation

Revision dcb656¢3 - 07/21/2022 03:57 PM - Andreas Miiller
ref #9359, ref 10095 try to remove xpp3 from cdmlib

Revision ea3c5378 - 07/21/2022 06:22 PM - Andreas Miiller
ref #10072, ref #9359 adapt log4j2 properties files in dataportal

Revision e7cbe266 - 07/25/2022 07:21 PM - Andreas Miiller
ref #9359 try to upgrade JavaAPIlforKml to version 3.0.1 from uk.mOnom

Revision 27a68076 - 07/25/2022 07:24 PM - Andreas Miiller
ref #9359, ref #10009 add and upgrade JavaAPIforKml to version 3.0.1 from uk.mOnom in taxeditor

Revision 1¢1f1876 - 07/25/2022 07:26 PM - Andreas Miiller

ref #9359, ref #10009 remove unused dependencies in taxeditor

Revision 25617a21 - 07/25/2022 07:44 PM - Andreas Miiller
ref #9359, ref #10009 add and upgrade JavaAPIforKml to version 3.0.1 from uk.mOnom in taxeditor (cont.)

Revision 21818529 - 07/25/2022 10:46 PM - Andreas Miiller
ref #9359 revert upgrading of JavaAPIforKml

Revision d35fdd42 - 07/25/2022 11:55 PM - Andreas Miiller
ref #9359 revert JavaAPIforKml again
Revision a5947b9d - 07/26/2022 12:19 AM - Andreas Miiller
ref #9359 finally revert JavaAPIforKml again

Revision 649e1510 - 07/26/2022 12:26 AM - Andreas Miiller
ref #9359 revert to older JavaAPIforKml in taxeditor

Revision 48155f47 - 07/26/2022 10:03 AM - Andreas Miiller

ref #9359 revert to older JavaAPIforKml in taxeditor (cont.)

Revision ed9555a5 - 08/23/2022 01:36 PM - Andreas Miiller
ref #10009, ref #9359 replace hibernate search Rectangle by RectangleDTO

Revision 89cdafd5 - 08/23/2022 02:06 PM - Andreas Miiller
ref #10009, ref #9359 replace hibernate search Rectangle by RectangleDTO

Revision b8d40694 - 08/23/2022 02:12 PM - Andreas Miiller
ref #10009, ref #9359 replace hibernate search Rectangle by RectangleDTO

Revision 5¢4b07f0 - 08/27/2022 12:59 PM - Andreas Miiller
ref #9359, ref #10072 final adaptations for upgrade to log4j2 in cdmlib

Revision 4ef7d1e0 - 08/27/2022 01:01 PM - Andreas Miiller
ref #9359, ref #10072 final adaptations for upgrade to log4j2 in vaadin and cleanup

Revision bab269ce - 08/27/2022 01:07 PM - Andreas Miiller
ref #9359, ref #10072 adapt app-import to log4j2 and cleanup

Revision 7df5b145 - 08/27/2022 04:29 PM - Andreas Miiller
ref #9359, ref #10072 replace log4j.properties by log4j.xml in app-import

Revision 611f5f1f - 12/19/2022 09:33 PM - Andreas Mdller
ref #10204, ref #9359 add json-lib to taxeditor pom again

Revision df6f5a8b - 12/20/2022 08:49 AM - Katja Luther
ref #10204, ref #9359 add ezmorph to taxeditor pom again

Revision beab159a - 12/20/2022 10:58 AM - Katja Luther

ref #10204, ref #9359 add beanutils and commons-collections to taxeditor pom again

Revision 387a5e68 - 12/20/2022 11:48 AM - Katja Luther

ref #10204, ref #9359 add beanutils and commons-collections to taxeditor buildproperties again

Revision 40ee2212 - 12/20/2022 12:19 PM - Katja Luther

ref #10204, ref #9359 add beanutils and commons-collections to taxeditor buildproperties again -continue

Revision cbe13549 - 12/27/2022 01:36 PM - Andreas Miiller
fix #3408, ref #9359 remove springmodules dependency by workaround in AbstractOaiPmhController
o fix fully after upgrading to spring 5.x and EhCache 3.x

Revision 9a7605ff - 12/31/2022 11:48 AM - Andreas Miiller

Revert " fix #3408, ref #9359 remove springmodules dependency by workaround in AbstractOaiPmhController

This reverts commit cbe13549e0a30b0dd4e3553cb48c7a34ead84e3b.

History

#1 - 12/18/2020 11:17 PM - Andreas Miuller
- Description updated

#2 - 12/18/2020 11:19 PM - Andreas Miiller
- Copied from feature request #9204: Update cdmlib and taxeditor dependencies added

#3 - 12/18/2020 11:19 PM - Andreas Miiller
- Copied to feature request #4716: Other dependencies to be updated added

#4 - 12/18/2020 11:19 PM - Andreas Miiller
- Copied to task #9205: Remove apache-log4j-extras from TaxEditor dependencies added

#5 - 12/18/2020 11:20 PM - Andreas Miiller
- Copied to feature request #9190: Make taxeditor.local a loadable plugin not installed by default added

#6 - 12/18/2020 11:20 PM - Andreas Miiller

- Copied to feature request #9154: Further reduce TaxEditor size by cleaning up dependencies and making taxeditor.webapp plugin optional added

#7 - 12/18/2020 11:21 PM - Andreas Miiller

- Copied to feature request #9341: Move local datasource access fully to taxeditor.local added

#8 - 12/18/2020 11:21 PM - Andreas Miiller

- Copied to bug #9351: Include new locations for cdmlib-print and cdmlib-remote in jenkins release script added

#9 - 01/27/2021 03:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#11 - 02/04/2021 09:16 PM - Andreas Miiller

- Description updated

#12 - 02/04/2021 09:23 PM - Andreas Miiller

- Related to task #4009: consider using jackson as json library added

#13 - 02/04/2021 09:23 PM - Andreas Miiller

- Description updated

#14 - 02/04/2021 09:29 PM - Andreas Miiller

- Description updated

#16 - 02/04/2021 09:38 PM - Andreas Miiller

- Description updated

#18 - 02/04/2021 09:40 PM - Andreas Miiller

- Description updated

#19 - 02/04/2021 09:40 PM - Andreas Miiller
- Related to task #3722: Using @OrderColumn does not work in trees added

#20 - 02/04/2021 10:18 PM - Andreas Miiller

- Description updated

#21 - 02/04/2021 10:19 PM - Andreas Miiller

- Description updated

#22 - 02/04/2021 10:21 PM - Andreas Miiller

- Description updated

#23 - 02/04/2021 10:29 PM - Andreas Miiller
- Copied to deleted (feature request #4716: Other dependencies to be updated)

#24 - 02/04/2021 10:29 PM - Andreas Miiller
- Copied from feature request #4716: Other dependencies to be updated added

#25 - 02/04/2021 10:44 PM - Andreas Miiller
- Related to task #6714: Create 001-cdm.h2.sql automatically added

#26 - 02/04/2021 10:45 PM - Andreas Miiller
- Related to deleted (task #6714: Create 001-cdm.h2.sql automatically)

#27 - 02/16/2021 10:17 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

- % Done changed from 0 to 10

#28 - 03/10/2021 02:36 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#29 - 04/16/2021 10:16 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46

#30 - 09/17/2021 06:05 PM - Andreas Miiller

- Description updated

#32 - 10/26/2021 11:41 PM - Andreas Miiller
- Related to bug #6025: Remaining open issues for cdmlib-db added

#33 - 10/26/2021 11:43 PM - Andreas Miiller

- Description updated

#34 - 10/27/2021 01:05 AM - Andreas Miiller
- Related to bug #6407: Upgrade maven compiler plugin to latest version added

#35 - 10/27/2021 01:06 AM - Andreas Miuiller

- Description updated

#36 - 11/02/2021 09:02 AM - Andreas Miiller
- Related to task #9837: updadte vaadin to latets 7.” version added

#37 - 11/29/2021 12:50 PM - Andreas Miiller
- Related to task #9887: remove jdk15 classifier from json-lib added

#38 - 11/29/2021 02:04 PM - Andreas Miiller

- Description updated

#39 - 12/15/2021 10:32 PM - Andreas Miiller
- Related to task #9886: Create cdmlib modul cdmlib-api added

#40 - 01/15/2022 12:02 AM - Andreas Miiller

- Subject changed from Update cdmlib and taxeditor dependencies to Update cdmlib, taxeditor, cdmserver etc. dependencies

- Description updated

#41 - 01/15/2022 01:40 AM - Andreas Muller

- Description updated
#42 - 01/15/2022 02:56 PM - Andreas Miiller

- Related to task #9919: Upgrade maven-compiler-plugin to 3.x in cdmlib added

#43 - 01/15/2022 02:57 PM - Andreas Miiller
- Description updated

#44 - 01/15/2022 06:59 PM - Andreas Miiller
- Description updated

#45 - 01/15/2022 07:16 PM - Andreas Miiller
- Description updated

#46 - 01/15/2022 07:42 PM - Andreas Miiller
- Description updated

#47 - 01/15/2022 07:45 PM - Andreas Miiller
- Description updated

#48 - 01/15/2022 07:49 PM - Andreas Miiller
- Description updated

#49 - 01/15/2022 08:12 PM - Andreas Miiller
- Description updated

#50 - 01/15/2022 08:13 PM - Andreas Miiller
- Description updated

#51 - 01/17/2022 01:13 PM - Andreas Miiller
- Description updated

#52 - 01/17/2022 03:01 PM - Andreas Miiller
- Description updated

#53 - 01/18/2022 06:01 AM - Andreas Miiller
- Description updated

#54 - 02/18/2022 10:08 AM - Andreas Miiller
- Description updated

#55 - 02/18/2022 10:08 AM - Andreas Miiller
- Related to task #9946: Update or remove jgitflow added

#56 - 02/24/2022 02:46 PM - Andreas Miiller
- Related to task #9955: Upgrade vaadin to latest version added

#57 - 02/24/2022 02:47 PM - Andreas Miiller

- Description updated

#58 - 03/31/2022 10:47 AM - Andreas Miiller
- Related to task #10009: Cleanup dependencies in TaxEditor added

#59 - 04/04/2022 10:46 AM - Andreas Muller

- Description updated

#60 - 05/11/2022 10:55 AM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added
#61 - 05/20/2022 06:03 PM - Andreas Miiller

- Related to task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#62 - 05/20/2022 06:03 PM - Andreas Miiller
- Description updated

#63 - 05/20/2022 06:04 PM - Andreas Miiller
- Description updated

#64 - 05/25/2022 02:34 PM - Andreas Miiller
- Description updated

#65 - 05/25/2022 04:56 PM - Andreas Miiller
- Description updated

#66 - 05/31/2022 08:45 AM - Andreas Miiller
- Description updated

#67 - 05/31/2022 08:51 AM - Andreas Miiller
- Description updated

#68 - 05/31/2022 08:54 AM - Andreas Miiller
- Description updated

#69 - 05/31/2022 09:56 AM - Andreas Miiller
- Description updated

#70 - 05/31/2022 10:25 AM - Andreas Miiller
- Description updated

#71 - 05/31/2022 10:26 AM - Andreas Miiller
- Description updated

#72 - 05/31/2022 10:28 AM - Andreas Miiller
- Description updated

#73 - 05/31/2022 10:56 PM - Andreas Miiller
- Description updated

#74 - 06/01/2022 12:02 AM - Andreas Miiller
- Description updated

#75 - 06/01/2022 12:42 AM - Andreas Miiller
- Description updated

#76 - 06/09/2022 12:41 PM - Andreas Miiller

- Copied to task #10072: Upgrade fully to log4j2 added

#77 - 06/16/2022 08:36 PM - Andreas Miiller

- Related to task #10077: upgrade ehcache to 3.x added

#78 - 06/22/2022 02:52 PM - Andreas Miiller

- Related to bug #10079: Fix timezone problems after upgrading jadira.usertype, hibernate and/or mysql drivers added

#79 - 07/20/2022 02:17 PM - Andreas Miiller

- Related to task #10095: Synchronize dependency versions in CdmServer added
#80 - 07/21/2022 08:48 AM - Andreas Muller
- Description updated

#81 - 07/21/2022 10:22 AM - Andreas Miiller
- Description updated

#82 - 07/21/2022 04:58 PM - Andreas Miiller
- Description updated

#83 - 07/21/2022 04:59 PM - Andreas Miiller
- Description updated

#84 - 07/21/2022 05:49 PM - Andreas Miiller
- Description updated
- % Done changed from 10 to 20

#85 - 08/25/2022 10:33 AM - Andreas Miller

- Copied to task #10125: Upgrade jena dependency added

#86 - 08/25/2022 10:34 AM - Andreas Miiller

- Description updated

#87 - 09/07/2022 10:01 PM - Andreas Miiller

- Related to bug #10141: Exception (CCE) caused by logging setlLevel in phycobank added

#88 - 12/27/2022 02:02 PM - Andreas Miiller

- Description updated

#89 - 12/27/2022 02:08 PM - Andreas Miiller

- Description updated

#90 - 12/27/2022 02:30 PM - Andreas Miiller

- Description updated

#91 - 12/27/2022 02:35 PM - Andreas Miiller

- Description updated

#92 - 12/27/2022 02:49 PM - Andreas Miiller

- Description updated

#93 - 12/27/2022 03:28 PM - Andreas Miiller

- Description updated

#94 - 12/27/2022 03:53 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 20 to 100

All open issues moved to upgrade 2023 #10055

#95 - 01/03/2023 01:54 PM - Andreas Miiller

- Description updated

#96 - 02/14/2024 09:35 PM - Andreas Miiller

- Target version changed from Release 5.46 to Release 5.35
